package com.ecyrd.jspwiki.plugin;

import java.util.HashMap;
import java.util.Set;

import org.jboss.wiki.WikiPage;
import org.jboss.wiki.WikiSession;
import org.jboss.wiki.plugins.RefsManipulatingInsidePlugin;

public class UndefinedPagesPlugin extends RefsManipulatingInsidePlugin {

	@Override
	public String process(WikiPage wikiPage, WikiSession wikiSession,
			HashMap<String, String> attributes) {
		Integer maxwidth = getNumericValue(attributes, "maxwidth");

		if ((maxwidth != null) && (maxwidth < 4)) {
			maxwidth = 4;
		}

		StringBuffer stringBuffer = new StringBuffer();

		Set<String> allRefs = getAllRefs(wikiSession, wikiPage.getLangCode());
		
		for (String pageName : allRefs) {

			if (!wikiEngine.pageExists(pageName, wikiPage.getLangCode())) {
				stringBuffer.append(getLink(wikiEngine.getUid(pageName, wikiPage.getLangCode()), maxwidth));
			}
		}

		return stringBuffer.toString();
	}



	@Override
	public void init() {
		// TODO Auto-generated method stub

	}

}
